Summary:        Library for storing and retrieving passwords and other secrets
Name:           libsecret
Version:        0.20.5
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Libsecret
Source0:        https://gitlab.gnome.org/GNOME/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake meson
BuildRequires:  gettext glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libgcrypt-devel >= 1.2.2
BuildRequires:  vala
#for manpages
BuildRequires:  docbook-style-xsl /usr/bin/xsltproc
Provides:       bundled(egglib)

%description
A GObject-based library for accessing the Secret Service API of
the freedesktop.org project, a cross-desktop effort to access passwords,
tokens and other types of secrets. libsecret provides a convenient wrapper
for these methods so consumers do not have to call the low-level DBus methods.
The actual Secret Service API spec can be found at
https://specifications.freedesktop.org/secret-service/.
Nightly documentation can be found at https://gnome.pages.gitlab.gnome.org/libsecret/.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Libraries and header files for development with %{name}.


%prep
%autosetup -n %{name}-%{version}


%build
%meson -Dgtk_doc=false
%meson_build


%install
%meson_install


%files
%license COPYING
%doc NEWS README.md
%{_bindir}/secret-tool
%{_libdir}/libsecret-1.so.0*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Secret-1.typelib
%{_mandir}/man1/secret-tool.1*
%{_datadir}/locale/*
 
%files devel
%license COPYING
%{_includedir}/libsecret-1/
%{_libdir}/libsecret-1.so
%{_libdir}/pkgconfig/libsecret-1.pc
%{_libdir}/pkgconfig/libsecret-unstable.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Secret-1.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libsecret-1.deps
%{_datadir}/vala/vapi/libsecret-1.vapi

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu May 12 2022 rockerzhu <rockerzhu@tencent.com> - 0.20.5-1
- Initial build
